# Add project specific ProGuard rules here.
# By default, the flags in this file are appended to flags specified
# in /Users/coreyclark/Library/Android/sdk/tools/proguard/proguard-android.txt
# You can edit the include path and order by changing the proguardFiles
# directive in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# Add any project specific keep options here:

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number table for debugging exceptions.
#-keepattributes SourceFile,LineNumberTable

# Keep rule for Gson serialization of HighScore data class
-keep class com.pixelmintdrop.model.HighScore { *; }
-keepclassmembers class com.pixelmintdrop.model.HighScore { *; }

# Keep generic signatures for Gson TypeToken
-keepattributes Signature

# Keep annotations used by Gson (e.g., @SerializedName, @Expose)
-keepattributes *Annotation*

# Keep the anonymous inner class generated for the TypeToken in HighScoreManager
-keep class com.pixelmintdrop.model.HighScoreManager$* { *; }

# Keep Gson TypeToken related classes
-keep class com.google.gson.reflect.TypeToken { *; }
-keep class com.google.gson.reflect.** { *; }

# Keep models intact
-keep class com.pixelmintdrop.model.** { *; }

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile 